GNU bug report logs - #13435
Please don't kill DJGPP support...

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Severity: wishlist; Reported by: DJ Delorie <dj@HIDDEN>; Keywords: moreinfo patch; dated Mon, 14 Jan 2013 12:25:02 UTC; Maintainer for automake is bug-automake@HIDDEN.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 5 Mar 2013 20:18:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 05 15:18:42 2013
Received: from localhost ([127.0.0.1]:32990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UCyJl-0003aR-QL
	for submit <at> debbugs.gnu.org; Tue, 05 Mar 2013 15:18:37 -0500
Received: from mx.scalarmail.ca ([98.158.95.75]:64943
	helo=ironport-01.sms.scalar.ca)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <prvs=nbowler=76955d3fc@HIDDEN>)
	id 1UCyJi-0003Zo-OL
	for 13435 <at> debbugs.gnu.org; Tue, 05 Mar 2013 15:18:32 -0500
Received: from unknown (HELO sms-zimbra-mta-01.sms.scalar.ca) ([192.168.32.56])
	by ironport-01.sms.scalar.ca with ESMTP; 05 Mar 2013 15:18:03 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
	by sms-zimbra-mta-01.sms.scalar.ca (Postfix) with ESMTP id DE77EDBBCE; 
	Tue,  5 Mar 2013 15:18:02 -0500 (EST)
Received: from sms-zimbra-mta-01.sms.scalar.ca ([127.0.0.1])
	by localhost (sms-zimbra-mta-01.sms.scalar.ca [127.0.0.1]) (amavisd-new,
	port 10024)
	with ESMTP id VQXmvw32JySo; Tue,  5 Mar 2013 15:18:02 -0500 (EST)
Received: from mail.ellipticsemi.com (dsl-67-204-24-19.acanac.net
	[67.204.24.19]) (Authenticated sender: nbowler@HIDDEN)
	by sms-zimbra-mta-01.sms.scalar.ca (Postfix) with ESMTPSA id D5821DBB9E;
	Tue,  5 Mar 2013 15:18:01 -0500 (EST)
Date: Tue, 5 Mar 2013 15:18:01 -0500
From: Nick Bowler <nbowler@HIDDEN>
To: DJ Delorie <dj@HIDDEN>
Subject: Re: bug#13435: Please don't kill DJGPP support...
Message-ID: <20130305201801.GA6773@HIDDEN>
References: <50F3F8C7.7050904@HIDDEN> <50F43AD0.7020300@HIDDEN>
	<201301142138.r0ELcowJ008163@HIDDEN>
	<50F47CDA.6040809@HIDDEN>
	<201301142229.r0EMTEBv010860@HIDDEN>
	<50FFD4B8.7060104@HIDDEN> <51068355.6010904@HIDDEN>
	<510EC9AA.5000204@HIDDEN> <513608AF.50005@HIDDEN>
	<201303051943.r25JhSSN001260@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <201303051943.r25JhSSN001260@HIDDEN>
Organization: Elliptic Technologies Inc.
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13435
Cc: Stefano Lattarini <stefano.lattarini@HIDDEN>, automake-patches@HIDDEN,
	13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On 2013-03-05 14:43 -0500, DJ Delorie wrote:
> I won't hold you up.  Since none of my folks thought it important
> enough to take the time to test it, please just back-burner it.  If
> someone here needs the patch, they know where to find it.

FWIW I tried to setup a DOS/DJGPP environment for testing but
never managed to get past the /dev/null problems described on
the comp.os.msdos.djgpp newsgroup:

  Subject: Re: Reading /dev/null seems broken.
  Message-ID: <kd54do$hu8$1@HIDDEN>

  https://groups.google.com/forum/?fromgroups=#!msg/comp.os.msdos.djgpp/okhH1hvBXDM/ugOABoho1V8J

Cheers,
-- 
Nick Bowler, Elliptic Technologies (http://www.elliptictech.com/)




Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.
Added tag(s) moreinfo and patch. Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 5 Mar 2013 19:58:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 05 14:58:49 2013
Received: from localhost ([127.0.0.1]:32950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UCy0e-00028V-EU
	for submit <at> debbugs.gnu.org; Tue, 05 Mar 2013 14:58:48 -0500
Received: from mail-bk0-f41.google.com ([209.85.214.41]:35273)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>)
	id 1UCy0c-00028B-BV; Tue, 05 Mar 2013 14:58:47 -0500
Received: by mail-bk0-f41.google.com with SMTP id q16so115330bkw.0
	for <multiple recipients>; Tue, 05 Mar 2013 11:58:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=CIJIKHCoqjLJmCDbDyLb1qzc+Y0LLNhbjTZXDgeGqTk=;
	b=JF3KmdFTjvMDDylmiKaSek1YVDkFTE4mWhTIpNRwpMKAmUg2u5HgeBhy0UKtd1QR6l
	WP+A4kicVTpzPKMtFtR1Jvr2qxKhpmWnLD/COUg146cPDk5N4KdCsUh1qhvoBYNN2SQr
	9xUCF1GEtbdEaOydhhRObgh+Np/hszWodFdank8Rxwd3sVTxrzYHViLhnazwPJ0BzAtY
	aj4oT6JV8dNXkLoaSBwUSl8F9Ron16cKJF+/VSlbRTglhFWaKfZNoJroxO0bjDVWepow
	wIdSzHnp5uCx2uBb2hhcM6Rg5Pm5und8YVHIBHzjpPt+fOOivZ+VG5frKxPRxnVqoYHH
	cWPQ==
X-Received: by 10.204.147.81 with SMTP id k17mr9980518bkv.70.1362513498349;
	Tue, 05 Mar 2013 11:58:18 -0800 (PST)
Received: from [192.168.178.20]
	(host137-94-dynamic.4-87-r.retail.telecomitalia.it. [87.4.94.137])
	by mx.google.com with ESMTPS id gu14sm7590614bkc.1.2013.03.05.11.58.15
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Tue, 05 Mar 2013 11:58:17 -0800 (PST)
Message-ID: <51364E55.7030104@HIDDEN>
Date: Tue, 05 Mar 2013 20:58:13 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: DJ Delorie <dj@HIDDEN>
Subject: Re: bug#13435: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
	<50F3F8C7.7050904@HIDDEN> <50F43AD0.7020300@HIDDEN>
	<201301142138.r0ELcowJ008163@HIDDEN>
	<50F47CDA.6040809@HIDDEN>
	<201301142229.r0EMTEBv010860@HIDDEN>
	<50FFD4B8.7060104@HIDDEN> <51068355.6010904@HIDDEN>
	<510EC9AA.5000204@HIDDEN> <513608AF.50005@HIDDEN>
	<201303051943.r25JhSSN001260@HIDDEN>
In-Reply-To: <201303051943.r25JhSSN001260@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13435
Cc: automake-patches@HIDDEN, 13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

tags 13435 + moreinfo patch
thanks

On 03/05/2013 08:43 PM, DJ Delorie wrote:
> I won't hold you up.  Since none of my folks thought it important
> enough to take the time to test it, please just back-burner it.  If
> someone here needs the patch, they know where to find it.
> 
OK.  I just find it a pity to throw away DJGPP support at this point, since
it turned out that the code needed to support it was really simple after all.

Anyway, in the meantime I'm marking this report as "more info needed" (where
such info is the result of the needed test exposure).  I'll close the report
as "wontfix" a couple of months in the future if nobody has reported anything
by then.

Thanks, and best regards,
  Stefano





Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 5 Mar 2013 19:44:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 05 14:44:00 2013
Received: from localhost ([127.0.0.1]:32944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UCxmK-0001nR-3g
	for submit <at> debbugs.gnu.org; Tue, 05 Mar 2013 14:44:00 -0500
Received: from delorie.com ([65.175.133.15]:39274)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dj@HIDDEN>) id 1UCxmG-0001nJ-HP
	for 13435 <at> debbugs.gnu.org; Tue, 05 Mar 2013 14:43:57 -0500
Received: from envy.delorie.com (envy [172.31.3.1])
	by delorie.com (8.14.4/8.14.4) with ESMTP id r25JhUcX018508
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Tue, 5 Mar 2013 14:43:34 -0500
Received: from envy.delorie.com (envy.delorie.com [127.0.0.1])
	by envy.delorie.com (8.14.5/8.14.5) with ESMTP id r25JhTLl001261;
	Tue, 5 Mar 2013 14:43:29 -0500
Received: (from dj@localhost)
	by envy.delorie.com (8.14.5/8.14.5/Submit) id r25JhSSN001260;
	Tue, 5 Mar 2013 14:43:28 -0500
Date: Tue, 5 Mar 2013 14:43:28 -0500
Message-Id: <201303051943.r25JhSSN001260@HIDDEN>
From: DJ Delorie <dj@HIDDEN>
To: Stefano Lattarini <stefano.lattarini@HIDDEN>
In-reply-to: <513608AF.50005@HIDDEN> (message from Stefano Lattarini on
	Tue, 05 Mar 2013 16:01:03 +0100)
Subject: Re: bug#13435: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
	<50F3F8C7.7050904@HIDDEN> <50F43AD0.7020300@HIDDEN>
	<201301142138.r0ELcowJ008163@HIDDEN>
	<50F47CDA.6040809@HIDDEN>
	<201301142229.r0EMTEBv010860@HIDDEN>
	<50FFD4B8.7060104@HIDDEN> <51068355.6010904@HIDDEN>
	<510EC9AA.5000204@HIDDEN> <513608AF.50005@HIDDEN>
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 13435
Cc: automake-patches@HIDDEN, 13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.6 (/)


I won't hold you up.  Since none of my folks thought it important
enough to take the time to test it, please just back-burner it.  If
someone here needs the patch, they know where to find it.

Thanks!




Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 5 Mar 2013 15:01:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 05 10:01:48 2013
Received: from localhost ([127.0.0.1]:60794 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UCtN7-0001aQ-Fm
	for submit <at> debbugs.gnu.org; Tue, 05 Mar 2013 10:01:48 -0500
Received: from mail-we0-f172.google.com ([74.125.82.172]:64382)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1UCtMz-0001Zz-1G
	for 13435 <at> debbugs.gnu.org; Tue, 05 Mar 2013 10:01:39 -0500
Received: by mail-we0-f172.google.com with SMTP id d46so2104062wer.17
	for <13435 <at> debbugs.gnu.org>; Tue, 05 Mar 2013 07:01:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=3O7cWOuK6ZAHNDYtK2d3R2CeHIDEEUx+6kqCPyrhbwY=;
	b=AM4OIBmQwnjNRLVM64Zi3HowNMCRg8v+GcvzifT4yztRYi/NJKfAoJ4jGHZtdrJdbz
	R5JxOu8K1QyLfdZrZTpOpTa3EbKtXIv6T5GZC/p94UC55sZztQxchOJDjo6OIPikTuvh
	XlkXIY4oKcYOq3AsMcsT50CJEnBXH7zAlJiPXdJ/9swrMP4CcT+HnGtwZBkt3oFbElR1
	RmnelzVFoxaa4k4yQTezdJk2MfnK/8Z2U5eULj8jkiUlbkblDi1j0hFJxt+eHR3Ee0SC
	HfoSnRFr4r9/x/UaVjdCUtGYGd0tIR5LwWafCxcOVagQFBy0+nKy/Am9DZn8LhOdFb1E
	2g5Q==
X-Received: by 10.204.157.150 with SMTP id b22mr9407126bkx.121.1362495666311; 
	Tue, 05 Mar 2013 07:01:06 -0800 (PST)
Received: from [192.168.178.20]
	(host137-94-dynamic.4-87-r.retail.telecomitalia.it. [87.4.94.137])
	by mx.google.com with ESMTPS id fw3sm7210991bkc.9.2013.03.05.07.01.04
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Tue, 05 Mar 2013 07:01:05 -0800 (PST)
Message-ID: <513608AF.50005@HIDDEN>
Date: Tue, 05 Mar 2013 16:01:03 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: DJ Delorie <dj@HIDDEN>
Subject: Re: bug#13435: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
	<50F3F8C7.7050904@HIDDEN> <50F43AD0.7020300@HIDDEN>
	<201301142138.r0ELcowJ008163@HIDDEN>
	<50F47CDA.6040809@HIDDEN>
	<201301142229.r0EMTEBv010860@HIDDEN>
	<50FFD4B8.7060104@HIDDEN> <51068355.6010904@HIDDEN>
	<510EC9AA.5000204@HIDDEN>
In-Reply-To: <510EC9AA.5000204@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13435
Cc: "automake-patches@HIDDEN" <automake-patches@HIDDEN>,
	13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On 02/03/2013 09:33 PM, Stefano Lattarini wrote:
Reference:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13435>
> 
> On 01/28/2013 02:55 PM, Stefano Lattarini wrote:
>> On 01/23/2013 01:16 PM, Stefano Lattarini wrote:
>>>
>>> I've pushed my attempt to the public rewindable branch
>>> 'experimental/djgpp-for-WinNT'.  Could you give it a try,
>>> when you have time?
>>>
>> Ping?  I'd like to have confirmation of whether DJGPP support works for
>> modern Windows before doing the 1.13.2 release; if that's the case, the
>> "planned backward incompatibilities" section in NEWS will have to be
>> update to make it clear that we only plan to remove DJGPP-on-DOS support,
>> and that DGJPP-on-Windows should continue to work correctly.
>>
> Ping x 2 ?
> 
Another ping.  Consider that I will not merge the patch reinstating DJGPP
support until someone has confirmed it actually works.

Regards,
  Stefano




Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 3 Feb 2013 20:34:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 03 15:34:53 2013
Received: from localhost ([127.0.0.1]:34595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U26H6-0002CR-RK
	for submit <at> debbugs.gnu.org; Sun, 03 Feb 2013 15:34:53 -0500
Received: from mail-ea0-f172.google.com ([209.85.215.172]:42579)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1U26H4-0002CJ-QQ
	for 13435 <at> debbugs.gnu.org; Sun, 03 Feb 2013 15:34:52 -0500
Received: by mail-ea0-f172.google.com with SMTP id f13so2594950eaa.3
	for <13435 <at> debbugs.gnu.org>; Sun, 03 Feb 2013 12:33:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=wXMh0tw7WKfNs5rLgXdM18tqwDe6862DJpwKXna2hv8=;
	b=00tXB3gYi0BEp8LvCZgEIkFrYlqbV7tkpI8l0FoBeDdLa7/qYk/m3UHS4h1255lJxM
	v07ZwOS5fqUxHLeuTIsXpkih4ZP5Pm6sX6/V4q0CYVCs6jAMrJoFDUCrzt1c+ApBBuwU
	ldCVCOxK9kNEMMQqOmOx+JlnoNjy6ynwqf04lnUIXrFATWCzFwsHF2hrM/gOniGDxbaY
	LS0CI4bw1s5+iREP1xcD/0JJzXfQbWwEY5QSm0i0XTSJvQYYQ1LsC+soOLiCjiWE+e6S
	9OaHgKVSR2bRhjvl24OMVN8UxKizRl5Gt3uf7XR/iShBYyAnahhSbRRg7ujL5rmqa/lc
	Bjtg==
X-Received: by 10.14.176.133 with SMTP id b5mr49531458eem.37.1359923629030;
	Sun, 03 Feb 2013 12:33:49 -0800 (PST)
Received: from [192.168.178.20]
	(host137-94-dynamic.4-87-r.retail.telecomitalia.it. [87.4.94.137])
	by mx.google.com with ESMTPS id q5sm23839531eeo.17.2013.02.03.12.33.47
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Sun, 03 Feb 2013 12:33:48 -0800 (PST)
Message-ID: <510EC9AA.5000204@HIDDEN>
Date: Sun, 03 Feb 2013 21:33:46 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: DJ Delorie <dj@HIDDEN>
Subject: Re: bug#13435: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
	<50F3F8C7.7050904@HIDDEN> <50F43AD0.7020300@HIDDEN>
	<201301142138.r0ELcowJ008163@HIDDEN>
	<50F47CDA.6040809@HIDDEN>
	<201301142229.r0EMTEBv010860@HIDDEN>
	<50FFD4B8.7060104@HIDDEN> <51068355.6010904@HIDDEN>
In-Reply-To: <51068355.6010904@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13435
Cc: "automake-patches@HIDDEN" <automake-patches@HIDDEN>,
	13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

Reference:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13435>

On 01/28/2013 02:55 PM, Stefano Lattarini wrote:
> On 01/23/2013 01:16 PM, Stefano Lattarini wrote:
>> On 01/14/2013 11:29 PM, DJ Delorie wrote:
>>>
>>> Stefano Lattarini wrote:
>>>>
>>>> Well, then it appear we might actually have no problems in keeping DJGPP
>>>> support.  If the new code with split info files disabled works as expected,
>>>> re-instating support for DJGPP (on modern Windows version) will just mean
>>>> adding back few simple, unproblematic lines of code.
>>>>
>>>> I will post a patch in a few days.  No need to hurry, since Automake 1.14
>>>> (which would have removed DJGPP support) is not due to appear for several
>>>> months at least.
>>>
>>> Ok, thanks!
>>
>> I've pushed my attempt to the public rewindable branch
>> 'experimental/djgpp-for-WinNT'.  Could you give it a try,
>> when you have time?
>>
> Ping?  I'd like to have confirmation of whether DJGPP support works for
> modern Windows before doing the 1.13.2 release; if that's the case, the
> "planned backward incompatibilities" section in NEWS will have to be
> update to make it clear that we only plan to remove DJGPP-on-DOS support,
> and that DGJPP-on-Windows should continue to work correctly.
> 
Ping x 2 ?

Thanks,
  Stefano




Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 28 Jan 2013 13:56:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 08:56:13 2013
Received: from localhost ([127.0.0.1]:52322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TzpBy-00008k-Ud
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2013 08:56:13 -0500
Received: from mail-lb0-f173.google.com ([209.85.217.173]:42564)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1TzpBs-00008W-Aa
	for 13435 <at> debbugs.gnu.org; Mon, 28 Jan 2013 08:56:05 -0500
Received: by mail-lb0-f173.google.com with SMTP id gf7so3876879lbb.4
	for <13435 <at> debbugs.gnu.org>; Mon, 28 Jan 2013 05:55:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=32FdAECRZP0LK9x9V7U7cVCMwanolUlJzAaPSpV96b0=;
	b=XJseoKdLO5l9RuCD5iQgC4Nm8zE5IwqOVAe5TNLH6mmz75cpAaoIenhIHxJpXzXnGr
	mQzT/SKgQAgxX2EF5PJjSvUJ5+XnaLa8fw8ff4OAdjrkQd1pxbcWixk+/1t0CsSQKc43
	T80rKk+GOVD2svDY22I7LA8S1mPsM5bFFACqTOHfnhGDJIBXxL369R0tjsLG+ZwSzbD3
	BJYyGt3lITIlNYz8n2RftzshzibFxZTR5Qj1FRt1mhYU5Vhf412WZImgNyQ4Ff0i9lTz
	ETnW3Dt/Gy0A2i3YuKXHD+QPNZNKNTPzUjbwf+PopNb9IkF3nydL4upCFW7o0bcz3vkO
	wlng==
X-Received: by 10.152.113.165 with SMTP id iz5mr13321277lab.50.1359381337841; 
	Mon, 28 Jan 2013 05:55:37 -0800 (PST)
Received: from [192.168.178.21]
	(host137-94-dynamic.4-87-r.retail.telecomitalia.it. [87.4.94.137])
	by mx.google.com with ESMTPS id u5sm3699222lbm.8.2013.01.28.05.55.35
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Mon, 28 Jan 2013 05:55:36 -0800 (PST)
Message-ID: <51068355.6010904@HIDDEN>
Date: Mon, 28 Jan 2013 14:55:33 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: DJ Delorie <dj@HIDDEN>
Subject: Re: bug#13435: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
	<50F3F8C7.7050904@HIDDEN> <50F43AD0.7020300@HIDDEN>
	<201301142138.r0ELcowJ008163@HIDDEN>
	<50F47CDA.6040809@HIDDEN>
	<201301142229.r0EMTEBv010860@HIDDEN>
	<50FFD4B8.7060104@HIDDEN>
In-Reply-To: <50FFD4B8.7060104@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13435
Cc: "automake-patches@HIDDEN" <automake-patches@HIDDEN>,
	13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

On 01/23/2013 01:16 PM, Stefano Lattarini wrote:
> Reference:
> <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13435>
> 
> On 01/14/2013 11:29 PM, DJ Delorie wrote:
>>
>> Stefano Lattarini wrote:
>>>
>>> Well, then it appear we might actually have no problems in keeping DJGPP
>>> support.  If the new code with split info files disabled works as expected,
>>> re-instating support for DJGPP (on modern Windows version) will just mean
>>> adding back few simple, unproblematic lines of code.
>>>
>>> I will post a patch in a few days.  No need to hurry, since Automake 1.14
>>> (which would have removed DJGPP support) is not due to appear for several
>>> months at least.
>>
>> Ok, thanks!
> 
> I've pushed my attempt to the public rewindable branch
> 'experimental/djgpp-for-WinNT'.  Could you give it a try,
> when you have time?
> 
Ping?  I'd like to have confirmation of whether DJGPP support works for
Modern windows before doing the 1.13.2 release; if that's the case, the
"planned backward incompatibilities" section in NEWS will have to be
update to make it clear that we only plan to remove DJGPP-on-DOS support,
and that DGJPP-on-Windows should continue to work correctly.

Thanks,
  Stefano




Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 23 Jan 2013 12:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 07:18:20 2013
Received: from localhost ([127.0.0.1]:45806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TxzHX-00042q-CT
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2013 07:18:20 -0500
Received: from mail-lb0-f182.google.com ([209.85.217.182]:65150)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1TxzHT-00042X-Kx
	for 13435 <at> debbugs.gnu.org; Wed, 23 Jan 2013 07:18:18 -0500
Received: by mail-lb0-f182.google.com with SMTP id gg6so5513073lbb.13
	for <13435 <at> debbugs.gnu.org>; Wed, 23 Jan 2013 04:17:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=B7fwIvDWQxfjJLGu/zHVmWS5ltTQX44fIZr9/zgRRMo=;
	b=Yk90wH5VkY9jAqCKgF5SsJFJNb9RYe9lIis4mRaTt+awaw2HZ+dDHaGCsOgh+ISn5l
	2cQqSVXNPkwnxH/EDhQ1q+U9OloPC7ZHeCFF6LGY36sOmnQ8QYD5cayvGD3fAECaiUae
	ty/iMOa30fxme/Zko8CeoouUuxitpmSoaR5Gp/Apk1BpCii+ZHWOkDHezDy3D37CYIMr
	hgD5pe+7DkZxuO28IQBlXlfk5L6REtvgB8RDTrJyEDSyhNQ4bxc1MkLS57EW5Q3gsFjE
	VA+rb3+9SCFT2egme+vWx0c6JI8rtm1fUX86GWgvT7Dh4jBET5vTY91KlFzfoNElTciM
	JrxA==
X-Received: by 10.112.101.135 with SMTP id fg7mr637382lbb.87.1358943419879;
	Wed, 23 Jan 2013 04:16:59 -0800 (PST)
Received: from [192.168.178.21]
	(host137-94-dynamic.4-87-r.retail.telecomitalia.it. [87.4.94.137])
	by mx.google.com with ESMTPS id iw6sm8230733lab.2.2013.01.23.04.16.57
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Wed, 23 Jan 2013 04:16:58 -0800 (PST)
Message-ID: <50FFD4B8.7060104@HIDDEN>
Date: Wed, 23 Jan 2013 13:16:56 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: DJ Delorie <dj@HIDDEN>
Subject: Re: bug#13435: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
	<50F3F8C7.7050904@HIDDEN> <50F43AD0.7020300@HIDDEN>
	<201301142138.r0ELcowJ008163@HIDDEN>
	<50F47CDA.6040809@HIDDEN>
	<201301142229.r0EMTEBv010860@HIDDEN>
In-Reply-To: <201301142229.r0EMTEBv010860@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 13435
Cc: "automake-patches@HIDDEN" <automake-patches@HIDDEN>,
	13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Reference:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13435>

On 01/14/2013 11:29 PM, DJ Delorie wrote:
>
> Stefano Lattarini wrote:
>>
>> Well, then it appear we might actually have no problems in keeping DJGPP
>> support.  If the new code with split info files disabled works as expected,
>> re-instating support for DJGPP (on modern Windows version) will just mean
>> adding back few simple, unproblematic lines of code.
>>
>> I will post a patch in a few days.  No need to hurry, since Automake 1.14
>> (which would have removed DJGPP support) is not due to appear for several
>> months at least.
>
> Ok, thanks!

I've pushed my attempt to the public rewindable branch
'experimental/djgpp-for-WinNT'.  Could you give it a try,
when you have time?

The patch itself is below, for reference.

Thanks,
  Stefano

---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ----

From a126418c850c26dfe366417632fee97f12912462 Mon Sep 17 00:00:00 2001
Message-Id: <a126418c850c26dfe366417632fee97f12912462.1358943365.git.stefano.lattarini@HIDDEN>
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
Date: Wed, 23 Jan 2013 12:52:52 +0100
Subject: [PATCH] DGJPP: re-introduce support, on Windows 2000 and later

See automake bug#13435.

The problematic DGJPP-related code should no longer be necessary today:

 * the code to support DJGPP-style split info files ('*.i[0-9][0-9]')
   is no longer needed, since we have dropped support for split info
   files anyway (see commit v1.13.1-60-gcdba479 and automake  bug#13351);

 * on Windows 2000 and later, modern version of DJGPP support file names
   starting with dots.

With that, the remaining pieces of code required to support DJGPP on
non-ancient Windows are few and unobtrusive enough that we re-introduce
them, in order to keep DJGPP alive -- the cost/benefit ratio has become
definitely small enough for that.

Note that support for DJGPP on DOS and Windows 95/98/ME is *not*
reintroduced.  That is no longer worth worrying about.

For reference, here are the commits where we removed DJGPP support:
- v1.13-6-gad08bbf, "Drop support for DJGPP, MS-DOS, Windows 95/98/ME"
- v1.13-7-gff0c7f8, "general: assume dot-starting file names are supported"

* NEWS: Make clear that DJGPP on Windows 2000 and later should still be
supported.
* automake.in (BEGIN): Override $ENV{SHELL} for DJGPP.
* maintainer/syntax-checks.mk (automake_diff_no): Adjust, as there are
now eight (not just seven) different lines between 'automake.in' and
'automake'.
* bootstrap.sh ($BOOTSTRAP_SHELL): Give a more proper default for DJGPP.

Signed-off-by: Stefano Lattarini <stefano.lattarini@HIDDEN>
---
 NEWS                        |  2 +-
 automake.in                 |  9 +++++++++
 bootstrap.sh                | 10 ++++++++--
 maintainer/syntax-checks.mk |  2 +-
 4 files changed, 19 insertions(+), 4 deletions(-)

diff --git a/NEWS b/NEWS
index 7a25b80..825d24b 100644
--- a/NEWS
+++ b/NEWS
@@ -42,7 +42,7 @@ New in 1.14:
     for more information.

   - Support for DJGPP on MS-DOS and/or Windows 95/98/ME has been removed.
-    Note that both Cygwin and MSYS/MinGW on modern Windows versions will
+    Note that Cygwin, MSYS/MinGW and DJGPP on modern Windows versions will
     continue to be fully supported.

 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
diff --git a/automake.in b/automake.in
index 4776581..f77ab7c 100644
--- a/automake.in
+++ b/automake.in
@@ -32,6 +32,15 @@ BEGIN
   @Automake::perl_libdirs = ('@datadir@/@PACKAGE@-@APIVERSION@')
     unless @Automake::perl_libdirs;
   unshift @INC, @Automake::perl_libdirs;
+
+  # Override SHELL.  This is required on DJGPP so that system() uses
+  # bash, not COMMAND.COM which doesn't quote arguments properly.
+  # Other systems aren't expected to use $SHELL when Automake
+  # runs, but it should be safe to drop the "if DJGPP" guard if
+  # it turns up other systems need the same thing.  After all,
+  # if SHELL is used, ./configure's SHELL is always better than
+  # the user's SHELL (which may be something like tcsh).
+  $ENV{'SHELL'} = '@SHELL@' if exists $ENV{'DJDIR'};
 }

 use Class::Struct ();
diff --git a/bootstrap.sh b/bootstrap.sh
index bb4221d..6291948 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -31,7 +31,13 @@ export AUTOCONF  # might be used by aclocal and/or automake
 export AUTOM4TE  # ditto
 : ${PERL=perl}

-BOOTSTRAP_SHELL=${BOOTSTRAP_SHELL-/bin/sh}
+if test -n "$DJDIR"; then
+  # This is required on DJGPP so that Perl's system() uses bash,
+  # not COMMAND.COM which doesn't quote arguments properly.
+  BOOTSTRAP_SHELL=${BOOTSTRAP_SHELL-/dev/env/DJDIR/bin/bash.exe}
+else
+  BOOTSTRAP_SHELL=${BOOTSTRAP_SHELL-/bin/sh}
+fi

 # Variables to substitute.
 VERSION=`sed -ne '/AC_INIT/s/^[^[]*\[[^[]*\[\([^]]*\)\].*$/\1/p' configure.ac`
@@ -64,7 +70,7 @@ if test -d automake-$APIVERSION; then
 fi
 rm -rf automake-$APIVERSION
 # Can't use "ln -s lib automake-$APIVERSION", that might not work
-# properly on MinGW/MSYS.
+# properly on MinGW/MSYS or DJGPP.
 mkdir automake-$APIVERSION
 cp -rf lib/* automake-$APIVERSION

diff --git a/maintainer/syntax-checks.mk b/maintainer/syntax-checks.mk
index e1d5e6b..6e50d68 100644
--- a/maintainer/syntax-checks.mk
+++ b/maintainer/syntax-checks.mk
@@ -83,7 +83,7 @@ sc_at_in_texi
 ## There are exactly 7 lines that should be modified from automake.in to
 ## automake, and 9 lines that should be modified from aclocal.in to
 ## aclocal.
-automake_diff_no = 7
+automake_diff_no = 8
 aclocal_diff_no = 9
 sc_diff_automake sc_diff_aclocal: sc_diff_% :
 	@set +e; tmp=$*-diffs.tmp; \
-- 
1.8.1.rc3.438.ge9abef6




Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 14 Jan 2013 22:29:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 14 17:29:46 2013
Received: from localhost ([127.0.0.1]:60395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TusXJ-0007FB-Uq
	for submit <at> debbugs.gnu.org; Mon, 14 Jan 2013 17:29:46 -0500
Received: from delorie.com ([65.175.133.15]:35187)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dj@HIDDEN>) id 1TusXI-0007F4-0s
	for 13435 <at> debbugs.gnu.org; Mon, 14 Jan 2013 17:29:44 -0500
Received: from envy.delorie.com (envy [172.31.3.1])
	by delorie.com (8.14.4/8.14.4) with ESMTP id r0EMTF7e020234
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Mon, 14 Jan 2013 17:29:17 -0500
Received: from envy.delorie.com (envy.delorie.com [127.0.0.1])
	by envy.delorie.com (8.14.5/8.14.5) with ESMTP id r0EMTEpM010861;
	Mon, 14 Jan 2013 17:29:14 -0500
Received: (from dj@localhost)
	by envy.delorie.com (8.14.5/8.14.5/Submit) id r0EMTEBv010860;
	Mon, 14 Jan 2013 17:29:14 -0500
Date: Mon, 14 Jan 2013 17:29:14 -0500
Message-Id: <201301142229.r0EMTEBv010860@HIDDEN>
From: DJ Delorie <dj@HIDDEN>
To: Stefano Lattarini <stefano.lattarini@HIDDEN>
In-reply-to: <50F47CDA.6040809@HIDDEN> (message from Stefano Lattarini on
	Mon, 14 Jan 2013 22:47:06 +0100)
Subject: Re: bug#13435: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
	<50F3F8C7.7050904@HIDDEN> <50F43AD0.7020300@HIDDEN>
	<201301142138.r0ELcowJ008163@HIDDEN>
	<50F47CDA.6040809@HIDDEN>
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13435
Cc: 13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)


Ok, thanks!




Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 14 Jan 2013 21:47:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 14 16:47:40 2013
Received: from localhost ([127.0.0.1]:60369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tursa-0006GC-0F
	for submit <at> debbugs.gnu.org; Mon, 14 Jan 2013 16:47:40 -0500
Received: from mail-ee0-f47.google.com ([74.125.83.47]:50464)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1TursX-0006G5-CS
	for 13435 <at> debbugs.gnu.org; Mon, 14 Jan 2013 16:47:38 -0500
Received: by mail-ee0-f47.google.com with SMTP id e52so2173150eek.6
	for <13435 <at> debbugs.gnu.org>; Mon, 14 Jan 2013 13:47:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=NaBMsFM3rDIZsTL2XWTRmnhDN/au+a35/VmS9dPmFco=;
	b=CIhi/YMbzz2mwwOvjqsX2xRSrL6T5yL2L1koE9gpBU9mqIT26noedf7kMv4zgQw+45
	w9tM94rUN37yEZay8KmtQJx+T9T42yepChlVcr3PTTDTFuQRQGTaKlx00SbujtQnwsof
	irDciJepGIjdXzU2WD3U87TByoVSObxBMdanCTdW6XvR4PgRQDIRXG7eGPPYFv++CP+V
	SWnifgSnqRIPTn4OacgSDGeMCieA9MBYmKRXLluX7ETHHl85RLIkRUN1ehgOasOxT0ch
	dt/LURSuzcPM/CJYz/uBZ0J7iyROLPGgvshjDIyD7uTguVjhfzCJn/6Mk95Y1/pS2HdH
	7ShA==
X-Received: by 10.14.221.5 with SMTP id q5mr233668605eep.33.1358200030755;
	Mon, 14 Jan 2013 13:47:10 -0800 (PST)
Received: from [192.168.178.21]
	(host137-94-dynamic.4-87-r.retail.telecomitalia.it. [87.4.94.137])
	by mx.google.com with ESMTPS id r1sm23065801eeo.2.2013.01.14.13.47.08
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Mon, 14 Jan 2013 13:47:09 -0800 (PST)
Message-ID: <50F47CDA.6040809@HIDDEN>
Date: Mon, 14 Jan 2013 22:47:06 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: DJ Delorie <dj@HIDDEN>
Subject: Re: bug#13435: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
	<50F3F8C7.7050904@HIDDEN> <50F43AD0.7020300@HIDDEN>
	<201301142138.r0ELcowJ008163@HIDDEN>
In-Reply-To: <201301142138.r0ELcowJ008163@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13435
Cc: 13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

On 01/14/2013 10:38 PM, DJ Delorie wrote:
>> I also forgot to ask a rather important question: does modern DJGPP
>> on Windows 2000/XP/7 etc. support file names starting with a dot?
> 
> Just tested djgpp 2.04 with bash 2.05 on windows 7, and it can create
> files with a leading dot.
>
Well, then it appear we might actually have no problems in keeping DJGPP
support.  If the new code with split info files disabled works as expected,
re-instating support for DJGPP (on modern Windows version) will just mean
adding back few simple, unproblematic lines of code.

I will post a patch in a few days.  No need to hurry, since Automake 1.14
(which would have removed DJGPP support) is not due to appear for several
months at least.

Thanks,
  Stefano




Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 14 Jan 2013 21:41:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 14 16:41:48 2013
Received: from localhost ([127.0.0.1]:60365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Turmu-00067Z-5P
	for submit <at> debbugs.gnu.org; Mon, 14 Jan 2013 16:41:48 -0500
Received: from delorie.com ([65.175.133.15]:43023)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dj@HIDDEN>) id 1TurkV-00063m-S4
	for 13435 <at> debbugs.gnu.org; Mon, 14 Jan 2013 16:39:20 -0500
Received: from envy.delorie.com (envy [172.31.3.1])
	by delorie.com (8.14.4/8.14.4) with ESMTP id r0ELcoYF017166
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Mon, 14 Jan 2013 16:38:52 -0500
Received: from envy.delorie.com (envy.delorie.com [127.0.0.1])
	by envy.delorie.com (8.14.5/8.14.5) with ESMTP id r0ELcoe8008164;
	Mon, 14 Jan 2013 16:38:50 -0500
Received: (from dj@localhost)
	by envy.delorie.com (8.14.5/8.14.5/Submit) id r0ELcowJ008163;
	Mon, 14 Jan 2013 16:38:50 -0500
Date: Mon, 14 Jan 2013 16:38:50 -0500
Message-Id: <201301142138.r0ELcowJ008163@HIDDEN>
From: DJ Delorie <dj@HIDDEN>
To: Stefano Lattarini <stefano.lattarini@HIDDEN>
In-reply-to: <50F43AD0.7020300@HIDDEN> (message from Stefano Lattarini on
	Mon, 14 Jan 2013 18:05:20 +0100)
Subject: Re: bug#13435: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
	<50F3F8C7.7050904@HIDDEN> <50F43AD0.7020300@HIDDEN>
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13435
X-Mailman-Approved-At: Mon, 14 Jan 2013 16:41:46 -0500
Cc: 13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)


> I also forgot to ask a rather important question: does modern DJGPP
> on Windows 2000/XP/7 etc. support file names starting with a dot?

Just tested djgpp 2.04 with bash 2.05 on windows 7, and it can create
files with a leading dot.




Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.

Message received at 13435 <at> debbugs.gnu.org:


Received: (at 13435) by debbugs.gnu.org; 14 Jan 2013 17:06:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 14 12:06:05 2013
Received: from localhost ([127.0.0.1]:60143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TunU5-0004Pb-AH
	for submit <at> debbugs.gnu.org; Mon, 14 Jan 2013 12:06:05 -0500
Received: from mail-la0-f44.google.com ([209.85.215.44]:54777)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1TunU3-0004P0-0N
	for 13435 <at> debbugs.gnu.org; Mon, 14 Jan 2013 12:06:03 -0500
Received: by mail-la0-f44.google.com with SMTP id fr10so4152660lab.17
	for <13435 <at> debbugs.gnu.org>; Mon, 14 Jan 2013 09:05:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=7QPHgGEexsIo3oOxQ88aOE+1A8pffX+cQ+t8WnIO1EY=;
	b=Qyjc+Sv5v8CWci1cQqIIaQ0l61+HYDecBIogHrohqTgNUZya5NlsBpg08kpSI+t0it
	K9OpBWcif6ez7hn69dlflM4+J2m9K2/XjaoePojHVIoxEW7b7+01MFvC6cDDgAa6EQ6h
	5b4sV7HmjRfSXBVoJK9xz7w8nKJW7z7DOq+ggj7JOBTCgiokwfO11q2igQ/cZxiCaRic
	XTtiTJRkcv8aiV1rcQWYGHQa/QE066XE060m85cHO58n0ApajRRiMbmpGHdQwlyPFj1k
	aB0UAW8go0qPyHmTFv1rXT1myc/R7ht/NyHf6Dy8oiGq355OOSfKnEhzFBWOZrvvXbTZ
	/dZw==
X-Received: by 10.152.148.129 with SMTP id ts1mr83167043lab.19.1358183132175; 
	Mon, 14 Jan 2013 09:05:32 -0800 (PST)
Received: from [192.168.178.20]
	(host137-94-dynamic.4-87-r.retail.telecomitalia.it. [87.4.94.137])
	by mx.google.com with ESMTPS id ie3sm5636285lab.4.2013.01.14.09.05.29
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Mon, 14 Jan 2013 09:05:31 -0800 (PST)
Message-ID: <50F43AD0.7020300@HIDDEN>
Date: Mon, 14 Jan 2013 18:05:20 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: DJ Delorie <dj@HIDDEN>
Subject: Re: bug#13435: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
	<50F3F8C7.7050904@HIDDEN>
In-Reply-To: <50F3F8C7.7050904@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13435
Cc: 13435 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

On 01/14/2013 01:23 PM, Stefano Lattarini wrote:
> Severity: wishlist
> 
> Reference:
> <http://lists.gnu.org/archive/html/automake/2013-01/msg00050.html>
> 
> I'm moving this discussion to bug-automake, so that is will be registered
> in our bug tracker, for easier future reference.
> 
> On 01/13/2013 08:22 PM, DJ Delorie wrote:
>> The DJGPP project is still quite alive, with most GNU projects having
>> up to date builds for DJGPP.
>>
I also forgot to ask a rather important question: does modern DJGPP
on Windows 2000/XP/7 etc. support file names starting with a dot?

Regards,
  Stefano




Information forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.
Changed bug submitter to 'DJ Delorie <dj@HIDDEN>' from 'Stefano Lattarini <stefano.lattarini@HIDDEN>' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jan 2013 12:24:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 14 07:24:34 2013
Received: from localhost ([127.0.0.1]:59342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tuj5e-00040C-1H
	for submit <at> debbugs.gnu.org; Mon, 14 Jan 2013 07:24:34 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34887)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1Tuj5c-0003zz-Ko
	for submit <at> debbugs.gnu.org; Mon, 14 Jan 2013 07:24:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1Tuj55-0003v0-4G
	for submit <at> debbugs.gnu.org; Mon, 14 Jan 2013 07:24:04 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-101.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	T_DKIM_INVALID,USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:54755)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1Tuj55-0003uw-1F
	for submit <at> debbugs.gnu.org; Mon, 14 Jan 2013 07:23:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46217)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1Tuj4y-0004fl-9q
	for bug-automake@HIDDEN; Mon, 14 Jan 2013 07:23:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1Tuj4r-0003sh-8Y
	for bug-automake@HIDDEN; Mon, 14 Jan 2013 07:23:52 -0500
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39175)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1Tuj4r-0003sc-51
	for bug-automake@HIDDEN; Mon, 14 Jan 2013 07:23:45 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60714)
	by fencepost.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.71) (envelope-from <stefano.lattarini@HIDDEN>)
	id 1Tuj4q-0007Fr-St
	for automake-bug@HIDDEN; Mon, 14 Jan 2013 07:23:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1Tuj4m-0003r7-HM
	for automake-bug@HIDDEN; Mon, 14 Jan 2013 07:23:44 -0500
Received: from mail-la0-f45.google.com ([209.85.215.45]:52271)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1Tuj4m-0003r2-91
	for automake-bug@HIDDEN; Mon, 14 Jan 2013 07:23:40 -0500
Received: by mail-la0-f45.google.com with SMTP id ep20so3790223lab.32
	for <automake-bug@HIDDEN>; Mon, 14 Jan 2013 04:23:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=YDhuCYr354cJGFq8LpXJzRdU8U5PSjmPHbiz8CSyKwk=;
	b=JDCYZAfkVOKDvQjw+4yslllzF9EoR+AcNqHYjo2Uz9dNn38gWorhXOXCVOYIC+UeDX
	k+UibE+6KfbERelF3CSctzyqf6DcHDH5yOgpXsIR+VqtS2BZLrL+R1F8pgVCj6uS8XLz
	mpOSv96V1cuAAPZYhtquL1qd9RInwkDx94wScnrg0Ax8EbHiozsZdBsloOjIvy+DMWlG
	mqHSmelnbJDpPxNT9+E7YfcMJhK7J5Izj+C+LWEV7KwMj70DSH2RlBv73IS3N6l1R6wr
	L+o4c92YUf0XyHV6vtzsKatznLJjyo1wXoC/CkligVcj1kQX+TqSLtiit4u71EWgiol7
	Dowg==
X-Received: by 10.152.108.172 with SMTP id hl12mr81549079lab.32.1358166219124; 
	Mon, 14 Jan 2013 04:23:39 -0800 (PST)
Received: from [192.168.178.21]
	(host137-94-dynamic.4-87-r.retail.telecomitalia.it. [87.4.94.137])
	by mx.google.com with ESMTPS id e7sm1611417lbn.1.2013.01.14.04.23.36
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Mon, 14 Jan 2013 04:23:38 -0800 (PST)
Message-ID: <50F3F8C7.7050904@HIDDEN>
Date: Mon, 14 Jan 2013 13:23:35 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: DJ Delorie <dj@HIDDEN>
Subject: Please don't kill DJGPP support...
References: <201301131922.r0DJMaGX024244@HIDDEN>
In-Reply-To: <201301131922.r0DJMaGX024244@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
	(bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
Cc: automake-bug@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

Severity: wishlist

Reference:
<http://lists.gnu.org/archive/html/automake/2013-01/msg00050.html>

I'm moving this discussion to bug-automake, so that is will be registered
in our bug tracker, for easier future reference.

On 01/13/2013 08:22 PM, DJ Delorie wrote:
> The DJGPP project is still quite alive, with most GNU projects having
> up to date builds for DJGPP.
>
But is it really useful today?  That is, Unix emulation under MS systems
means MinGW/MSYS or Cygwin today.  And while DJGPP was a tremendous help
and an amazing piece of software back in its heydays, I'm not sure it is
really relevant anymore now (apart for its aficionados, but that could be
said for almost any good software).

> Since the DJGPP project relies heavily
> on being able to build the GNU projects, dropping support in Automake
> means that any project updating their Automake scripts will be forced
> to drop DJGPP support, whether the project desires that or not.
> 
> If such a trend continues, the Automake team will have effectively
> killed off the whole DJGPP project single-handedly.
> 
> Is there any particular reason why support might be dropped?
>
The main reason were two:

  1. the perceived (on my part) irrelevance DJGPP today, and

  2. the extra complexity introduced by the need of supporting its
    '.iNN' info files.

But now that Automake is planned to drop support for split info files
anyway (see <debbugs.gnu.org/13351>), that second motivation might
as well have become irrelevant.  And the other pieces of code required
to support DJGPP are few and unobtrusive enough that I can consider
re-introducing them if I get convinced DJGPP is not truly irrelevant
yet.

So, in a few days, I hope to be able to push to Automake's git
repository an experimental branch that incorporates the changes
removing support for split info files, *and* reverts some of
the changes where I dropped DJGPP support (that is, all but the
Texinfo-related ones).  If that is enough to make DJGPP support
work again (you or some other interested party will have to test
this is the case), then I will consider re-introducing that
support.

Regards,
  Stefano




Acknowledgement sent to Stefano Lattarini <stefano.lattarini@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#13435; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.